package cn.im.ptlxstore.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import javax.annotation.PostConstruct;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;

import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("ptlxccqzglDao")
public class PtlxccqzglDao  extends SqlMapClientDaoSupport{

	@Autowired 
    private SqlMapClient sqlMapClient;  
      
	@PostConstruct          
    public  void initSqlMapClient(){  
     super.setSqlMapClient(sqlMapClient);      
    }
	
	/**
	 * 增加记录
	 * @param map
	 */
	public void insert_Ptlxccqzgl(Map map) throws SQLException{
		this.getSqlMapClientTemplate().insert("insert_Ptlxccqzgl",map);
	}
	
	/**
	 * 批处理增加记录
	 * @param batch
	 */
	public void batch_insert_Ptlxccqzgl(List batch) throws SQLException{
		this.getSqlMapClientTemplate().insert("batch_insert_Ptlxccqzgl",batch);
	}

	/**
	 * 修改记录
	 * @param map
	 * @return Integer
	 */
	public Integer update_Ptlxccqzgl(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().update("update_Ptlxccqzgl",map);
	}

	/**
	 * 删除记录
	 * @param map
	 * @return Integer
	 */
	public Integer delete_Ptlxccqzgl(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("delete_Ptlxccqzgl",map);
	}
	
	/**
	 * 批处理删除记录
	 * @param map
	 * @return Integer
	 */
	public Integer batch_delete_Ptlxccqzgl(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("batch_delete_Ptlxccqzgl",map);
	}

	
	/**
	 * 查询总数
	 * 
	 * @param map
	 * @return Integer
	 */
	public Integer count_Ptlxccqzgl(Map map) throws SQLException{
		return (Integer)this.getSqlMapClientTemplate().queryForObject("count_Ptlxccqzgl",map);
	}
	
	/**
	 * 查询列表记录
	 * 
	 * @param map
	 * @return List
	 */
	public List<Map> query_Ptlxccqzgl(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().queryForList("query_Ptlxccqzgl",map);
	}
	
	/**
	 * 查询列表记录
	 * 
	 * @param map
	 * @return List
	 */
	public List<Map> query_ptlxccqzgl_no(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().queryForList("query_ptlxccqzgl_no",map);
	}
	
	/**
	 * 查询列表记录
	 * 
	 * @param map
	 * @return List
	 */
	public Map get_Ptlxccqzgl(Map map) throws SQLException{
		return (Map) this.getSqlMapClientTemplate().queryForObject("query_Ptlxccqzgl",map);
	}
	
}
